package com.xxl.job.executor.report.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface IBytedanceNewPlanReportService {

    List<JSONObject> getBytedanceNewPlanGroupByAccount(JSONArray accountIds, String startDate, String endDate, String target, String order);

    List<JSONObject> getBytedanceNewPlanGroupByStatDate(JSONArray accountIds, String startDate, String endDate);

    JSONObject getSumNewPlanBy(JSONArray accountIds, String startDate, String endDate);

    List<JSONObject> getAllOperator();

    JSONArray getAccountIdsByUserId(String userId);

    JSONArray getAccountIdsByMedia();

}
